from SOAPpy import SOAPProxy
import sys
import xml.etree.ElementTree as ET

# lectura de archivo xml firmado
xmlfile = sys.argv[1]	# nombre del archivo xml firmado
f = open(xmlfile, 'r')	# abrir archivo
xml = f.read()			# leer contenido
f.close()				# cerrar stream

url = 'https://maullin.sii.cl/DTEWS/GetTokenFromSeed.jws?WSDL'
ns = 'urn:https://maullin.sii.cl/DTEWS/GetTokenFromSeed.jws'
_server = SOAPProxy(url, ns)
root= ET.fromstring(_server.getToken(xml))
print root[0][0].text
